Bullet Collision Detection & Physics Library: Bullet::btRigidBodyFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btRigidBodyFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btRigidBodyFloatData:
[legend]

## Public Attributes
btCollisionObjectFloatData | m_collisionObjectData
btMatrix3x3FloatData | m_invInertiaTensorWorld
btVector3FloatData | m_linearVelocity
btVector3FloatData | m_angularVelocity
btVector3FloatData | m_angularFactor
btVector3FloatData | m_linearFactor
btVector3FloatData | m_gravity
btVector3FloatData | m_gravity_acceleration
btVector3FloatData | m_invInertiaLocal
btVector3FloatData | m_totalForce
btVector3FloatData | m_totalTorque
float | m_inverseMass
float | m_linearDamping
float | m_angularDamping
float | m_additionalDampingFactor
float | m_additionalLinearDampingThresholdSqr
float | m_additionalAngularDampingThresholdSqr
float | m_additionalAngularDampingFactor
float | m_linearSleepingThreshold
float | m_angularSleepingThreshold
int | m_additionalDamping

## Detailed Description

Definition at line 785 of file bullet.h.

## Member Data Documentation

## ◆ m_additionalAngularDampingFactor

float Bullet::btRigidBodyFloatData::m_additionalAngularDampingFactor

Definition at line 805 of file bullet.h.

## ◆ m_additionalAngularDampingThresholdSqr

float Bullet::btRigidBodyFloatData::m_additionalAngularDampingThresholdSqr

Definition at line 804 of file bullet.h.

## ◆ m_additionalDamping

int Bullet::btRigidBodyFloatData::m_additionalDamping

Definition at line 808 of file bullet.h.

## ◆ m_additionalDampingFactor

float Bullet::btRigidBodyFloatData::m_additionalDampingFactor

Definition at line 802 of file bullet.h.

## ◆ m_additionalLinearDampingThresholdSqr

float Bullet::btRigidBodyFloatData::m_additionalLinearDampingThresholdSqr

Definition at line 803 of file bullet.h.

## ◆ m_angularDamping

float Bullet::btRigidBodyFloatData::m_angularDamping

Definition at line 801 of file bullet.h.

## ◆ m_angularFactor

btVector3FloatData Bullet::btRigidBodyFloatData::m_angularFactor

Definition at line 792 of file bullet.h.

## ◆ m_angularSleepingThreshold

float Bullet::btRigidBodyFloatData::m_angularSleepingThreshold

Definition at line 807 of file bullet.h.

## ◆ m_angularVelocity

btVector3FloatData Bullet::btRigidBodyFloatData::m_angularVelocity

Definition at line 791 of file bullet.h.

## ◆ m_collisionObjectData

btCollisionObjectFloatData Bullet::btRigidBodyFloatData::m_collisionObjectData

Definition at line 788 of file bullet.h.

## ◆ m_gravity

btVector3FloatData Bullet::btRigidBodyFloatData::m_gravity

Definition at line 794 of file bullet.h.

## ◆ m_gravity_acceleration

btVector3FloatData Bullet::btRigidBodyFloatData::m_gravity_acceleration

Definition at line 795 of file bullet.h.

## ◆ m_inverseMass

float Bullet::btRigidBodyFloatData::m_inverseMass

Definition at line 799 of file bullet.h.

## ◆ m_invInertiaLocal

btVector3FloatData Bullet::btRigidBodyFloatData::m_invInertiaLocal

Definition at line 796 of file bullet.h.

## ◆ m_invInertiaTensorWorld

btMatrix3x3FloatData Bullet::btRigidBodyFloatData::m_invInertiaTensorWorld

Definition at line 789 of file bullet.h.

## ◆ m_linearDamping

float Bullet::btRigidBodyFloatData::m_linearDamping

Definition at line 800 of file bullet.h.

## ◆ m_linearFactor

btVector3FloatData Bullet::btRigidBodyFloatData::m_linearFactor

Definition at line 793 of file bullet.h.

## ◆ m_linearSleepingThreshold

float Bullet::btRigidBodyFloatData::m_linearSleepingThreshold

Definition at line 806 of file bullet.h.

## ◆ m_linearVelocity

btVector3FloatData Bullet::btRigidBodyFloatData::m_linearVelocity

Definition at line 790 of file bullet.h.

## ◆ m_totalForce

btVector3FloatData Bullet::btRigidBodyFloatData::m_totalForce

Definition at line 797 of file bullet.h.

## ◆ m_totalTorque

btVector3FloatData Bullet::btRigidBodyFloatData::m_totalTorque

Definition at line 798 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h